ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

c

org.bdgenomics.adam.projections

# FieldEnumeration 

###

#### abstract class FieldEnumeration extends Enumeration

Abstract class that all record-specific enumerations extend.

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Known Subclasses
AlignmentField, DbxrefField, FeatureField, FragmentField, GenotypeField, OntologyTermField, ReadField, ReadGroupField, ReferenceField, SampleField, SequenceField, SliceField, TranscriptEffectField, VariantAnnotationField, VariantCallingAnnotationsField, VariantField
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FieldEnumeration
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new FieldEnumeration(recordSchema: Schema)

   recordSchema

     The schema that this enumeration represents.

### Type Members

1.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def maxId: Int
    Definition Classes
      Enumeration
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
20.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
24.  val recordSchema: Schema
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
27.  def values: ValueSet
    Definition Classes
      Enumeration
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped